Bug 996291 - Problem with config file
Summary: Problem with config file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lvm2
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: LVM and device-mapper development team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-12 20:48 UTC by piio
Modified: 2013-09-26 14:14 UTC (History)
11 users (show)

Fixed In Version: lvm2-2.02.102-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-26 06:17:25 UTC
Type: Bug


Attachments (Terms of Use)

Description piio 2013-08-12 20:48:13 UTC
Description of problem:
After update to lvm2-2.02.99-2 I see frequent warnings:
 Configuration setting "config/checks" has invalid type. Found integer, expected section.
  Configuration setting "config/abort_on_errors" has invalid type. Found integer, expected section.
  Configuration setting "config/profile_dir" has invalid type. Found string, expected section.
  Configuration setting "activation/checks" has invalid type. Found integer, expected section.
  Configuration setting "activation/udev_sync" has invalid type. Found integer, expected section.
  Configuration setting "activation/udev_rules" has invalid type. Found integer, expected section.
  Configuration setting "activation/verify_udev_operations" has invalid type. Found integer, expected section.
  Configuration setting "activation/retry_deactivation" has invalid type. Found integer, expected section.
  Configuration setting "activation/missing_stripe_filler" has invalid type. Found string, expected section.
  Configuration setting "activation/use_linear_target" has invalid type. Found integer, expected section.
  Configuration setting "activation/reserved_stack" has invalid type. Found integer, expected section.
  Configuration setting "activation/reserved_memory" has invalid type. Found integer, expected section.
  Configuration setting "activation/process_priority" has invalid type. Found integer, expected section.
  Configuration setting "activation/raid_region_size" has invalid type. Found integer, expected section.
  Configuration setting "activation/readahead" has invalid type. Found string, expected section.
  Configuration setting "activation/raid_fault_policy" has invalid type. Found string, expected section.
  Configuration setting "activation/mirror_log_fault_policy" has invalid type. Found string, expected section.
  Configuration setting "activation/mirror_image_fault_policy" has invalid type. Found string, expected section.
  Configuration setting "activation/snapshot_autoextend_threshold" has invalid type. Found integer, expected section.
  Configuration setting "activation/snapshot_autoextend_percent" has invalid type. Found integer, expected section.
  Configuration setting "activation/thin_pool_autoextend_threshold" has invalid type. Found integer, expected section.
  Configuration setting "activation/thin_pool_autoextend_percent" has invalid type. Found integer, expected section.
  Configuration setting "activation/use_mlockall" has invalid type. Found integer, expected section.
  Configuration setting "activation/monitoring" has invalid type. Found integer, expected section.
  Configuration setting "activation/polling_interval" has invalid type. Found integer, expected section.
  Configuration setting "global/umask" has invalid type. Found integer, expected section.
  Configuration setting "global/test" has invalid type. Found integer, expected section.
  Configuration setting "global/units" has invalid type. Found string, expected section.
  Configuration setting "global/si_unit_consistency" has invalid type. Found integer, expected section.
  Configuration setting "global/activation" has invalid type. Found integer, expected section.
  Configuration setting "global/proc" has invalid type. Found string, expected section.
  Configuration setting "global/locking_type" has invalid type. Found integer, expected section.
  Configuration setting "global/wait_for_locks" has invalid type. Found integer, expected section.
  Configuration setting "global/fallback_to_clustered_locking" has invalid type. Found integer, expected section.
  Configuration setting "global/fallback_to_local_locking" has invalid type. Found integer, expected section.
  Configuration setting "global/locking_dir" has invalid type. Found string, expected section.
  Configuration setting "global/prioritise_write_locks" has invalid type. Found integer, expected section.
  Configuration setting "global/abort_on_internal_errors" has invalid type. Found integer, expected section.
  Configuration setting "global/detect_internal_vg_cache_corruption" has invalid type. Found integer, expected section.
  Configuration setting "global/metadata_read_only" has invalid type. Found integer, expected section.
  Configuration setting "global/mirror_segtype_default" has invalid type. Found string, expected section.
  Configuration setting "global/raid10_segtype_default" has invalid type. Found string, expected section.
  Configuration setting "global/use_lvmetad" has invalid type. Found integer, expected section.
  Configuration setting "global/thin_check_executable" has invalid type. Found string, expected section.
  Configuration setting "global/thin_check_options" has invalid type. Found string, expected section.
  Configuration setting "backup/backup" has invalid type. Found integer, expected section.
  Configuration setting "backup/backup_dir" has invalid type. Found string, expected section.
  Configuration setting "backup/archive" has invalid type. Found integer, expected section.
  Configuration setting "backup/archive_dir" has invalid type. Found string, expected section.
  Configuration setting "backup/retain_min" has invalid type. Found integer, expected section.
  Configuration setting "backup/retain_days" has invalid type. Found integer, expected section.
  Configuration setting "allocation/maximise_cling" has invalid type. Found integer, expected section.
  Configuration setting "allocation/mirror_logs_require_separate_pvs" has invalid type. Found integer, expected section.
  Configuration setting "allocation/thin_pool_metadata_require_separate_pvs" has invalid type. Found integer, expected section.

I tried to remove config and reinstall lvm2 without success

Version-Release number of selected component (if applicable):
lvm2-2.02.99-2.fc20.i686

How reproducible:
Always

Steps to Reproduce:
1. lvm dumpconfig

Actual results:
Errors:
 Configuration setting "config/checks" has invalid type. Found integer, expected section.
  Configuration setting "config/abort_on_errors" has invalid type. Found integer, expected section.
  Configuration setting "config/profile_dir" has invalid type. Found string, expected section.
  Configuration setting "activation/checks" has invalid type. Found integer, expected section.
  Configuration setting "activation/udev_sync" has invalid type. Found integer, expected section.
  Configuration setting "activation/udev_rules" has invalid type. Found integer, expected section.
  Configuration setting "activation/verify_udev_operations" has invalid type. Found integer, expected section.
  Configuration setting "activation/retry_deactivation" has invalid type. Found integer, expected section.
  Configuration setting "activation/missing_stripe_filler" has invalid type. Found string, expected section.
  Configuration setting "activation/use_linear_target" has invalid type. Found integer, expected section.
  Configuration setting "activation/reserved_stack" has invalid type. Found integer, expected section.
  Configuration setting "activation/reserved_memory" has invalid type. Found integer, expected section.
  Configuration setting "activation/process_priority" has invalid type. Found integer, expected section.
  Configuration setting "activation/raid_region_size" has invalid type. Found integer, expected section.
  Configuration setting "activation/readahead" has invalid type. Found string, expected section.
  Configuration setting "activation/raid_fault_policy" has invalid type. Found string, expected section.
  Configuration setting "activation/mirror_log_fault_policy" has invalid type. Found string, expected section.
  Configuration setting "activation/mirror_image_fault_policy" has invalid type. Found string, expected section.
  Configuration setting "activation/snapshot_autoextend_threshold" has invalid type. Found integer, expected section.
  Configuration setting "activation/snapshot_autoextend_percent" has invalid type. Found integer, expected section.
  Configuration setting "activation/thin_pool_autoextend_threshold" has invalid type. Found integer, expected section.
  Configuration setting "activation/thin_pool_autoextend_percent" has invalid type. Found integer, expected section.
  Configuration setting "activation/use_mlockall" has invalid type. Found integer, expected section.
  Configuration setting "activation/monitoring" has invalid type. Found integer, expected section.
  Configuration setting "activation/polling_interval" has invalid type. Found integer, expected section.
  Configuration setting "global/umask" has invalid type. Found integer, expected section.
  Configuration setting "global/test" has invalid type. Found integer, expected section.
  Configuration setting "global/units" has invalid type. Found string, expected section.
  Configuration setting "global/si_unit_consistency" has invalid type. Found integer, expected section.
  Configuration setting "global/activation" has invalid type. Found integer, expected section.
  Configuration setting "global/proc" has invalid type. Found string, expected section.
  Configuration setting "global/locking_type" has invalid type. Found integer, expected section.
  Configuration setting "global/wait_for_locks" has invalid type. Found integer, expected section.
  Configuration setting "global/fallback_to_clustered_locking" has invalid type. Found integer, expected section.
  Configuration setting "global/fallback_to_local_locking" has invalid type. Found integer, expected section.
  Configuration setting "global/locking_dir" has invalid type. Found string, expected section.
  Configuration setting "global/prioritise_write_locks" has invalid type. Found integer, expected section.
  Configuration setting "global/abort_on_internal_errors" has invalid type. Found integer, expected section.
  Configuration setting "global/detect_internal_vg_cache_corruption" has invalid type. Found integer, expected section.
  Configuration setting "global/metadata_read_only" has invalid type. Found integer, expected section.
  Configuration setting "global/mirror_segtype_default" has invalid type. Found string, expected section.
  Configuration setting "global/raid10_segtype_default" has invalid type. Found string, expected section.
  Configuration setting "global/use_lvmetad" has invalid type. Found integer, expected section.
  Configuration setting "global/thin_check_executable" has invalid type. Found string, expected section.
  Configuration setting "global/thin_check_options" has invalid type. Found string, expected section.
  Configuration setting "backup/backup" has invalid type. Found integer, expected section.
  Configuration setting "backup/backup_dir" has invalid type. Found string, expected section.
  Configuration setting "backup/archive" has invalid type. Found integer, expected section.
  Configuration setting "backup/archive_dir" has invalid type. Found string, expected section.
  Configuration setting "backup/retain_min" has invalid type. Found integer, expected section.
  Configuration setting "backup/retain_days" has invalid type. Found integer, expected section.
  Configuration setting "allocation/maximise_cling" has invalid type. Found integer, expected section.
  Configuration setting "allocation/mirror_logs_require_separate_pvs" has invalid type. Found integer, expected section.
  Configuration setting "allocation/thin_pool_metadata_require_separate_pvs" has invalid type. Found integer, expected section.

Expected results:
No error

Additional info:

Comment 1 Peter Rajnoha 2013-08-13 10:22:14 UTC
Unfortunately, this is a gcc regression that appears with gcc v4.8. See bug #995446 for more info.

Just one question - is that 32bit or 64bit arch you're using?

Comment 2 piio 2013-08-13 10:25:53 UTC
32bit

Comment 3 Peter Rajnoha 2013-08-13 10:26:32 UTC
(In reply to piio from comment #0)
> I tried to remove config and reinstall lvm2 without success
> 
> Version-Release number of selected component (if applicable):
> lvm2-2.02.99-2.fc20.i686


So 32bit. Sorry, I didn't notice that before...
I expect there's going to be a gcc fix soon. We also have a workaround for lvm2 to avoid this issue (we'll do a rebuild for rawhide today/tomorrow).

For now, you can temporarily disable the lvm config checks by setting config{checks=0} in your /etc/lvm.conf file.

Comment 4 piio 2013-08-13 10:29:14 UTC
Thanks for fast response.
I will apply checks=0 in lvm.conf temporary solution.

Comment 5 Fedora End Of Life 2013-09-16 16:55:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Comment 6 Fedora Update System 2013-09-24 08:47:26 UTC
lvm2-2.02.102-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lvm2-2.02.102-1.fc20

Comment 7 Fedora Update System 2013-09-24 22:52:12 UTC
Package lvm2-2.02.102-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lvm2-2.02.102-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17514/lvm2-2.02.102-1.fc20
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-09-26 06:17:25 UTC
lvm2-2.02.102-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 piio 2013-09-26 14:14:48 UTC
lvm2-2.02.102-1.fc21.i686 resolved my issue completely.


Note You need to log in before you can comment on or make changes to this bug.